Skip to content

condenser_api.get_discussions_by_comments ​

Purpose ​

Returns a list of discussions by comments.

Also see: tags_api.get_discussions_by_comments

Parameters ​

PARAMETERS
json
[
  {
    "start_author": "steemit",
    "start_permlink": "firstpost",
    "limit": 1
  }
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_discussions_by_comments",
    "params": [
      {
        "start_author": "steemit",
        "start_permlink": "firstpost",
        "limit": 1
      }
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_discussions_by_comments",
    "params": [
      {
        "start_author": "alice",
        "start_permlink": "a-post-by-alice",
        "limit": 10,
        "truncate_body": 0
      }
    ],
    "id": 1
  }'

Expected curl responses ​

EXPECTED RESPONSES
text
Comment is not in account's comments